From: Lluis Campos <lluis.campos@northern.tech>
Date: Mon, 23 Mar 2020 18:34:37 +0100
Subject: Switch to using golang-testify

---
 log_test.go | 39 ++++++++++++++++++++++++++-------------
 1 file changed, 26 insertions(+), 13 deletions(-)

diff --git a/log_test.go b/log_test.go
index a86e8d3..45692d6 100644
--- a/log_test.go
+++ b/log_test.go
@@ -23,7 +23,8 @@ import (
 	"testing"
 	"time"
 
-	mt "github.com/mendersoftware/mendertesting"
+	//mt "github.com/mendersoftware/mendertesting"
+	assert "github.com/stretchr/testify/assert"
 	"github.com/sirupsen/logrus"
 )
 
@@ -38,7 +39,8 @@ func TestLogging(t *testing.T) {
 
 func setupLogging(t *testing.T) {
 	fd, err := os.Create("output.log")
-	mt.AssertTrue(t, err == nil)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
 	SetOutput(fd)
 
 	// How you run the test influences whether the output is connected to a
@@ -58,11 +60,14 @@ func setupLogging(t *testing.T) {
 	Log.WithField("test_field", "test_value").Println("Testing fields")
 	fd.Close()
 	fd, err = os.Open("output.log")
-	mt.AssertTrue(t, err == nil)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
 	var buf [4096]byte
 	n, err := fd.Read(buf[:])
-	mt.AssertTrue(t, err == nil)
-	mt.AssertTrue(t, n < 4096)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
+	//mt.AssertTrue(t, n < 4096)
+	assert.True(t, n < 4096)
 
 	if string(buf[0:n]) == "level=info msg=\"Testing fields\" test_field=\"test_value\"\n" {
 		logrus_quotes = "\""
@@ -73,7 +78,8 @@ func setupLogging(t *testing.T) {
 	}
 
 	fd, err = os.Create("output.log")
-	mt.AssertTrue(t, err == nil)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
 	SetOutput(fd)
 }
 
@@ -208,14 +214,18 @@ func checkLogging(t *testing.T, module string) {
 
 func verifyLogging(t *testing.T, checkString string) {
 	fd, err := os.Open("output.log")
-	mt.AssertTrue(t, err == nil)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
 	defer fd.Close()
 	var buf [4096]byte
 	n, err := fd.Read(buf[:])
-	mt.AssertTrue(t, err == nil)
-	mt.AssertTrue(t, n < 4096)
+	//mt.AssertTrue(t, err == nil)
+	assert.True(t, err == nil)
+	//mt.AssertTrue(t, n < 4096)
+	assert.True(t, n < 4096)
 
-	mt.AssertStringEqual(t, string(buf[0:n]), checkString)
+	//mt.AssertStringEqual(t, string(buf[0:n]), checkString)
+	assert.Equal(t, string(buf[0:n]), checkString)
 }
 
 func cleanupLogging(t *testing.T) {
@@ -284,14 +294,17 @@ func TestSyslog(t *testing.T) {
 	// Should show.
 	checkString = fmt.Sprintf("level=error msg=\"For syslog testing: Error with no module: "+
 		"%d\" module=%slog_test%s", testrand, logrus_quotes, logrus_quotes)
-	mt.AssertTrue(t, strings.Index(string(output), checkString) >= 0)
+	//mt.AssertTrue(t, strings.Index(string(output), checkString) >= 0)
+	assert.True(t, strings.Index(string(output), checkString) >= 0)
 	checkString = fmt.Sprintf("level=warning msg=\"For syslog testing: Warning with test1 module: "+
 		"%d\" module=%stest_1%s", testrand, logrus_quotes, logrus_quotes)
-	mt.AssertTrue(t, strings.Index(string(output), checkString) >= 0)
+	//mt.AssertTrue(t, strings.Index(string(output), checkString) >= 0)
+	assert.True(t, strings.Index(string(output), checkString) >= 0)
 	// Should not show.
 	checkString = fmt.Sprintf("level=debug msg=\"For syslog testing: Debug with test1 module: "+
 		"%d\" module=%stest_1%s", testrand, logrus_quotes, logrus_quotes)
-	mt.AssertTrue(t, strings.Index(string(output), checkString) < 0)
+	//mt.AssertTrue(t, strings.Index(string(output), checkString) < 0)
+	assert.True(t, strings.Index(string(output), checkString) < 0)
 
 	cleanupLogging(t)
 
